JotForm Application Basic License Optional Recommended Items

  • Profile Image
    Stephen
    Asked on November 09, 2011 at 09:41 AM
    Hello! :-)

    The "JotForm App Requirements and Installation Instructions" page is located here:

    http://jotformdemo.interlogy.com/README.txt

    It lists numerous requirements.

    The items listed as requirements are not the subject of this question.

    Further down, below the requrements, are the following "optional recommended" items:
    - PHP APC - Apache deflate - SSL on Apache - wkhtmltopdf 0.10.0 - V8

    Here's my question.

    Are the five items listed above *required* for a "JotForm Application" basic license to work propely?

    What gives rise to this question is a sentence near the top of the V8 installation instructions.

    It says:

    "JotForm v3 uses V8 to generate form code on the server side."

    The wording of that sentence makes it sound like V8 is required, not optional.

    It also casts doubt in my mind as to whether the other "optional" items are actually required.

    I'm very seriously considering purchasing a license today, but need to make sure I know what is required.

    Thank you in advance for your help!
  • Profile Image
    fxr
    Answered on November 09, 2011 at 04:30 PM

    Aytekin, who is the person who is best placed to help you with this query is currently out of the office. It will be brought to his attention as soon as he gets back. 

  • Profile Image
    aytekin
    Answered on November 10, 2011 at 02:02 AM

    PHP APC: Optional. If you have it, JotForm App will work faster.

    Apache deflate:Optional. If you have it, JotForm App will work faster.

    SSL on Apache: Obviously, if you don't have it, you will not have secure forms

    wkhtmltopdf 0.10.0: If you do not have it, you cannot create PDF forms and PDF reports. 

    V8: This is required but we implemented a code so that if it is missing, JotForm App can use V8 on JotForm site using an API. We did that because many people do not have root access on the server they install JotForm App, and V8 installation requires to be root.